/* 清除通配符样式 */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

/* 清除超链接a的默认样式 */
a {
    text-decoration: none;
}

/* 网页主体背景颜色 */
body {
    background-color: #f7f8fa;
    /* Helvetica设计师最爱,  Arial是前一个的克隆, 英文网站一律是Verdana*/
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', Helvetica, Arial, Verdana, Geneva, Tahoma, sans-serif, 'Times New Roman', Times, serif;
}

/* 清除ul的样式 */
ul {
    list-style: none;
}

/* 媒体查询 屏幕像素小于768px */
@media screen and (max-width: 767px) {

    body {
        /* background-color: deeppink; */
    }

    /* 顶部导航栏 */
    .header {
        position: fixed;
        top: 0px;
        left: 0px;
        width: 100%;

        height: 48px;
        line-height: 48px;
        text-align: center;

        color: #343a40;
        background-color: #e7e8e9;
        box-shadow: 0 1px 1px #343a40;
    }

    .header .headbar {
        width: 100%;
    }

    .headbar h1 {
        font-size: 18px;
        font-weight: 400;
    }

    /* 确认按钮 */
    #btn {
        display: none;
    }

    /* 中间导航栏 */
    .navibar {
        width: 100%;
        height: 48px;
        line-height: 48px;
        text-align: center;
        margin-top: 50px;
        margin-bottom: 2px;
        background-color: #343a40;
        color: #f7f8fa;
    }

    /* 单词集合区域 */
    .wordarea {
        display: none;
    }

    /* 词汇显示区域 */
    .mainarea {
        margin: 0 auto;
        width: 100%;
        padding: 0 1px;
        margin-bottom: 48px;
    }

    .mainarea ul {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    .mainarea ul li {
        margin-bottom: 2px;
        width: 24%;

    }

    .mainarea li span:nth-child(2) {
        display: block;
        width: 100%;
        height: 48px;
        line-height: 48px;
        text-align: center;
        background-color: #e7e8e9;
        font-size: 14px;
    }

    .mainarea li span:first-child,
    .mainarea li span:nth-child(3),
    .mainarea li span:nth-child(4),
    .mainarea li span:nth-child(5),
    .mainarea li span:nth-child(6) {
        display: none;
    }

    /* 底部导航栏 */
    footer {
        position: fixed;
        left: 0;
        bottom: 0;
        overflow: hidden;
        width: 100%;
        background-color: #e7e8e9;
        color: #343a40;
        text-align: center;
    }

    footer p {
        margin: 6px auto;
        font-size: 12px;
    }

    footer a {
        color: #343a40;
    }

}

/* 媒体查询 屏幕像素大于768px */

@media screen and (min-width: 768px) and (max-width: 991px) {

    body {
        /* background-color: skyblue; */
    }

    /* 顶部导航栏 */
    .header {
        position: fixed;
        top: 0px;
        left: 0px;

        width: 100%;
        color: #343a40;
        background-color: #e7e8e9;
        box-shadow: 0 1px 1px #343a40;

        height: 48px;
        line-height: 48px;
        text-align: center;

    }

    .header .headbar {
        width: 100%;
    }

    .headbar h1 {
        font-size: 20px;
        font-weight: 400;
    }

    /* 确认按钮 */
    #btn {
        display: none;
    }

    /* 中间导航栏 */
    .navibar {
        width: 750px;
        height: 48px;
        line-height: 48px;
        text-align: center;

        margin: 2px auto;
        margin-top: 50px;

        color: #f7f8fa;
        background-color: #343a40;
    }

    /* 词汇显示区域 */
    .mainarea {
        margin: 0 auto;
        width: 750px;
        padding: 0px;
        margin-bottom: 48px;
    }

    .mainarea ul {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    .mainarea ul li {
        margin-bottom: 2px;
        width: 19%;
    }

    .mainarea li span:nth-child(2) {
        display: block;
        width: 100%;
        height: 48px;
        line-height: 48px;
        text-align: center;
        font-size: 16px;
        background-color: #e7e8e9;
    }

    .mainarea li span:first-child,
    .mainarea li span:nth-child(3),
    .mainarea li span:nth-child(4),
    .mainarea li span:nth-child(5),
    .mainarea li span:nth-child(6) {
        display: none;
    }

    footer {
        position: fixed;
        left: 0px;
        bottom: 0px;
        overflow: hidden;
        width: 100%;
        color: #343a40;
        background-color: #e7e8e9;
        text-align: center;
    }

    footer p {
        margin: 6px auto;
        font-size: 12px;
    }

    footer a {
        color: #343a40;
    }

}


/* 媒体查询 屏幕像素大于992px */
@media screen and (min-width: 992px) and (max-width: 1199px) {

    body {
        /* background-color: orangered; */
    }

    /* 顶部导航栏 */
    .header {
        position: fixed;
        top: 0px;
        left: 0px;
        width: 100%;

        height: 48px;
        line-height: 48px;
        text-align: center;

        background-color: #e7e8e9;
        color: #343a40;
        box-shadow: 0 1px 1px #343a40;
    }

    .header .headbar {
        position: relative;
        width: 970px;
        margin: 0 auto;
    }

    .headbar h1 {
        font-size: 20px;
        font-weight: 400;
    }

    /* 确认按钮 */
    #btn {
        display: none;

        position: absolute;
        top: 0px;
        left: 0px;
        width: 94px;
        height: 48px;
        line-height: 48px;
        text-align: center;

        border: none;
        outline: none;

        background-color: #f7f8fa;
        color: #343a40;

        font-size: 14px;
        font-weight: 700;
    }

    /* 中间导航栏 */
    .navibar {
        width: 970px;
        height: 48px;
        line-height: 48px;

        text-align: center;
        margin: 2px auto;
        margin-top: 50px;
        background-color: #343a40;
        color: #f7f8fa;
    }

    /* 单词集合区域 */
    .wordarea {
        display: none;

        position: fixed;
        top: 0px;
        left: 50%;
        transform: translateX(-50%);

        width: 970px;
        height: 97px;

        flex-wrap: wrap;
        flex-direction: row;
        justify-content: space-around;
        align-content: space-between;

        border: 1px solid #343a40;
        background-color: #f7f8fa;
    }

    .wordarea span {
        display: block;
        width: 96px;
        height: 47px;
        line-height: 47px;
        text-align: center;
        background-color: #e7e8e9;
        font-size: 12px;
    }


    /* 单词预览区域 */

    .pre {
        display: none;
        position: fixed;
        top: 0;
        width: 100%;
        height: 100%;
        background-color: #fff;
    }

    .pre ul {
        margin: 0 auto;
        width: 794px;
        border-top: 1px solid #343a40;
        border-left: 1px solid #343a40;
    }

    .pre ul li {
        overflow: auto;
        list-style: none;
        width: 100%;
    }

    .pre li span {
        float: left;
        width: 120px;
        height: 35px;
        line-height: 35px;
        text-align: center;

        background-color: #fff;
        border-left: 1px solid #343a40;
        border-bottom: 1px solid #343a40;
    }

    .pre li span:first-child {
        width: 81px;
    }

    .pre li span:nth-child(3) {
        width: 127px;
    }

    .pre li span:nth-child(4) {
        padding-left: 5px;
        text-align: left;
        font-size: 12px;
        width: 465px;
    }

    .pre li span:nth-child(5) {
        display: none;
        padding-left: 7px;
        text-align: left;
        width: 472px;
    }

    .pre li span:nth-child(6) {
        display: none;
        width: 321px;
        padding-left: 7px;
        text-align: left;
        font-size: 12px;
    }

    .pre button {
        position: absolute;
        left: 0;
        top: 0;

        width: 94px;
        height: 48px;
        color: #343a40;
        background-color: #f7f8fa;
        font-weight: 700;
        border: none;
    }

    /* 词汇显示区域 */
    .mainarea {
        margin: 0 auto;
        width: 970px;
        padding: 0px;
        margin-bottom: 48px;
    }

    .mainarea ul {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    .mainarea ul li {
        margin-bottom: 2px;
    }

    .mainarea li span:nth-child(2) {
        display: block;
        width: 96px;
        height: 48px;
        line-height: 48px;
        text-align: center;
        background-color: #e7e8e9;
        font-size: 12px;
    }

    .mainarea li span:first-child,
    .mainarea li span:nth-child(3),
    .mainarea li span:nth-child(4),
    .mainarea li span:nth-child(5),
    .mainarea li span:nth-child(6) {
        display: none;
    }

    /* 底部导航栏 */
    footer {
        position: fixed;
        left: 0px;
        bottom: 0px;
        overflow: hidden;

        width: 100%;
        background-color: #e7e8e9;
        color: #343a40;
        text-align: center;
    }

    footer p {
        margin: 6px auto;
        font-size: 12px;
    }

    footer a {
        color: #343a40;
    }

}


/* 媒体查询 屏幕像素大于1200px */
@media screen and (min-width: 1200px) {

    /* 顶部主题栏 */
    .header {
        position: fixed;
        top: 0px;
        left: 0px;
        width: 100%;
        background-color: #e7e8e9;
        color: #343a40;
        box-shadow: 0 1px 1px #343a40;
        /* z-index: 999; */
        height: 48px;
        line-height: 48px;
        text-align: center;
    }

    .header .headbar {
        position: relative;
        width: 1190px;
        margin: 0 auto;
    }

    .headbar h1 {
        font-weight: 400;
        font-size: 20px;
    }

    /* 主要显示区域 */
    .mainarea {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
        position: absolute;
        top: 50px;
        left: 50%;
        transform: translateX(-50%);
        bottom: 50px;
        width: 1190px;
    }

    .mainarea .download_area {
        flex: 1;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        width: 100%;
    }

    .mainarea .download_area li:first-child {
        flex: 2;
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        color: #333;
    }

    .mainarea .download_area li:first-child h3 {

        font-weight: 400;
    }

    .mainarea .download_area li:nth-child(2) {
        flex: 2;
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
    }

    .mainarea .download_area li:nth-child(2) span {
        border: 1px solid #e7e8e9;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        height: 100%;
    }

    .mainarea .download_area li:nth-child(2) span:first-child {

        width: 120px;
    }

    .mainarea .download_area li:last-child {
        flex: 2;
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        align-items: center;
    }

    .mainarea .download_area li:last-child button {
        width: 120px;
        height: 100%;
        font-size: 18px;
        color: #fff;
        outline: none;
        border: none;
        background-color: #333;
    }

    /* 底部导航栏 */
    footer {
        position: fixed;
        left: 0;
        bottom: 0;
        overflow: hidden;
        width: 100%;
        background-color: #e7e8e9;
        color: #343a40;
        text-align: center;
    }

    footer p {
        margin: 6px auto;
        font-size: 12px;
    }

    footer a {
        color: #343a40;
    }

}

/* 打印模板 */
@media print {

    @page {
        margin: 0;
    }

    body {
        margin: 1cm;
        padding: 1cm 0;
    }

    ul {
        list-style: none;
    }

    ul li {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        align-content: center;
        margin-bottom: 2px;
        font-size: 27px;
        border-bottom: 1px solid #000;
        vertical-align: bottom;
    }

    ul li:last-child {
        margin-bottom: 0px;
    }

    ul li span {
        /* display: inline-block; */
        height: 47px;
        line-height: 47px;
        font-size: 16px;
    }

    ul li span:first-child {
        width: 81px;
        text-align: center;
    }

    ul li span:nth-child(2) {
        width: 121px;
        text-align: center;
    }

    ul li span:nth-child(3) {
        width: 129px;
        text-align: center;
    }

    ul li span:nth-child(4) {
        width: 386px;
        padding-left: 3px;
    }

    ul li span:nth-child(5) {
        /* flex: 1; */
        /* display: none; */
        padding-left: 2px;
        padding-right: 10px;
        /* margin-right: 9px; */
        border-top: 1px solid red;
    }

    ul li span:nth-child(6) {
        flex: 1;
        /* display: none; */
        /* padding-left: 3px; */
        border-top: 1px solid red;
    }

    button {
        display: none;
    }
}